taffybar-3.2.2: A desktop bar similar to xmobar, but with more GUI

Copyright | (c) Ivan A. Malison
License | BSD3-style (see LICENSE)
Maintainer | Ivan A. Malison
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell2010

System.Taffybar.Hooks

Description

Synopsis

- module System.Taffybar.DBus
- newtype NetworkInfoChan = NetworkInfoChan (BroadcastChan In [(String, (Rational, Rational))])
- buildInfoChan :: Double -> IO NetworkInfoChan
- getNetworkChan :: TaffyIO NetworkInfoChan
- setTaffyLogFormatter :: String -> IO ()
- withBatteryRefresh :: TaffybarConfig -> TaffybarConfig
- getDirectoryEntriesByClassName :: TaffyIO (MultiMap String DesktopEntry)
- updateDirectoryEntriesCache :: TaffyIO ()
- readDirectoryEntriesDefault :: TaffyIO (MultiMap String DesktopEntry)
- data ChromeTabImageData = ChromeTabImageData {
  - tabImageData :: Pixbuf
  - tabImageDataId :: Int
  }
- getChromeTabImageDataChannel :: TaffyIO (BroadcastChan Out ChromeTabImageData)
- getChromeTabImageDataTable :: TaffyIO (MVar (Map Int ChromeTabImageData))
- getX11WindowToChromeTabId :: TaffyIO X11WindowToChromeTabId
- refreshBatteriesOnPropChange :: TaffyIO ()

# Documentation

module System.Taffybar.DBus

newtype NetworkInfoChan Source #

Constructors

NetworkInfoChan (BroadcastChan In [(String, (Rational, Rational))]) |

buildInfoChan :: Double -> IO NetworkInfoChan Source #

getNetworkChan :: TaffyIO NetworkInfoChan Source #

setTaffyLogFormatter :: String -> IO () Source #

withBatteryRefresh :: TaffybarConfig -> TaffybarConfig Source #

getDirectoryEntriesByClassName :: TaffyIO (MultiMap String DesktopEntry) Source #

updateDirectoryEntriesCache :: TaffyIO () Source #

readDirectoryEntriesDefault :: TaffyIO (MultiMap String DesktopEntry) Source #

data ChromeTabImageData Source #

Constructors

ChromeTabImageData |

Fields

- tabImageData :: Pixbuf
- tabImageDataId :: Int

getChromeTabImageDataChannel :: TaffyIO (BroadcastChan Out ChromeTabImageData) Source #

getChromeTabImageDataTable :: TaffyIO (MVar (Map Int ChromeTabImageData)) Source #

getX11WindowToChromeTabId :: TaffyIO X11WindowToChromeTabId Source #

refreshBatteriesOnPropChange :: TaffyIO () Source #

Call "refreshAllBatteries" whenever the BatteryInfo for the DisplayDevice is updated. This handles cases where there is a race between the signal that something is updated and the update actually being visible. See https://github.com/taffybar/taffybar/issues/330 for more details.